ru.bitel.bgbilling.kernel.event.events

## Class AppsEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.AppsEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AppsEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppsEvent(java.lang.String module, int moduleId, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,java.lang.String> requestParamsMap)`
    `AppsEvent(java.lang.String plugin, java.lang.String action, int contractId, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,java.lang.String> requestParamsMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getDataMap()`
    `java.lang.String` | `getModule()`
    `java.lang.String` | `getPlugin()`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getRequestParamsMap()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppsEvent

          public AppsEvent(java.lang.String module,
                           int moduleId,
                           java.lang.String action,
                           int contractId,
                           javax.servlet.http.HttpServletRequest request,
                           java.util.Map<java.lang.String,java.lang.String> requestParamsMap)

    - #### AppsEvent

          public AppsEvent(java.lang.String plugin,
                           java.lang.String action,
                           int contractId,
                           javax.servlet.http.HttpServletRequest request,
                           java.util.Map<java.lang.String,java.lang.String> requestParamsMap)

  - ### Method Detail

    - #### getModule

          public java.lang.String getModule()

    - #### getPlugin

          public java.lang.String getPlugin()

    - #### getAction

          public java.lang.String getAction()

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### getDataMap

          public java.util.Map<java.lang.String,java.lang.Object> getDataMap()

    - #### getRequestParamsMap

          public java.util.Map<java.lang.String,java.lang.String> getRequestParamsMap()